import java.awt.*;

public class Line extends DrawingShape
{
    public void draw( Graphics g )
    {
	g.drawLine( start.x, start.y, end.x, end.y );
    }

    public boolean contains( Point p )
    {
	if ( (p.x <= end.x-2 && p.x >= start.x+2) ||
	     (p.x >= end.x+2 && p.x <= start.x-2) )
	{
	    double m = ((double)end.y-start.y)/((double)end.x-start.x);
	    return (p.y < (m*p.x - m*start.x + start.y)+2) &&
	    	   (p.y > (m*p.x - m*start.x + start.y)-2);
	}
	return false;
    }
}
