

class NetworkMenuItem extends javax.swing.JMenuItem
{
	private int num;
	private NetworkFrame parent;
	
	public NetworkMenuItem( NetworkFrame par, int p )
	{
	    num = p;
	    parent = par;
	    addMouseListener( new mouseKeeper() );
	    removeNotify();
	}
	
    public void processEvent( java.awt.AWTEvent e )
    {
	    super.processEvent( e );
    }
    
    private class mouseKeeper extends java.awt.event.MouseAdapter
    {
        public void mouseReleased( java.awt.event.MouseEvent e )
        {
        	parent.SendEvent( e, num+2 );
        	processEvent( 
        	  new java.awt.event.ActionEvent(this, 0, getActionCommand() ));
        }
    }
}

class NetworkRadioButtonMenuItem extends javax.swing.JRadioButtonMenuItem
{
	private int num;
	private NetworkFrame parent;
	
	public NetworkRadioButtonMenuItem( NetworkFrame par, int p )
	{
	    num = p;
	    parent = par;
	    addMouseListener( new mouseKeeper() );	
	    removeNotify();
	}
	
    public void processEvent( java.awt.AWTEvent e )
    {
	    super.processEvent( e );
    }
    
    private class mouseKeeper extends java.awt.event.MouseAdapter
    {
        public void mouseReleased( java.awt.event.MouseEvent e )
        {
	    parent.SendEvent( e, num+2 );
	    processEvent( 
	    new java.awt.event.ActionEvent(this, 0, getActionCommand() ));
        }
    }
}
