import java.awt.*;

public class Rectangle extends DrawingShape
{
    java.awt.Rectangle rect = new java.awt.Rectangle();
    public void draw( Graphics g )
    {
	g.drawRect( Math.min(start.x, end.x), 
	            Math.min(start.y, end.y), 
		    Math.abs(end.x-start.x), 
		    Math.abs(end.y-start.y));
    }

    public boolean contains( Point p )
    {
	return rect.contains(p);
    }

    public void setStartPoint( Point p )
    {
	super.setStartPoint(p);

	if ( end != null )
	    rect = new java.awt.Rectangle(Math.min(start.x, end.x), 
	            Math.min(start.y, end.y), 
		    Math.abs(end.x-start.x), 
		    Math.abs(end.y-start.y));
    }

    public void setEndPoint( Point p )
    {
	super.setEndPoint(p);
	
	if ( start != null )
	    rect = new java.awt.Rectangle( Math.min(start.x, end.x), 
	              Math.min(start.y, end.y), 
		      Math.abs(end.x-start.x), 
		      Math.abs(end.y-start.y));
    }
}
