import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import java.net.*;

class ServiceFrame extends PaintFrame
{
    JButton getClient;
    public ServiceFrame()
    {
        getClient = new JButton( "Get Next Client" );
	getClient.addActionListener( new ActionListener(){
	    public void actionPerformed( ActionEvent e )
	    {


	       if ( getClient.getText().equals("Get Next Client") )
               {
                 try
                 {
		   c = new Chat();
                   System.out.println( "Getting next Client..." );
		   getClient.setText("Disconnect");
                   Socket sock = new Socket( InetAddress.getByName("cs.stmarys.ca"), 5432 );
                   ClientProfile cp = (ClientProfile)new ObjectInputStream( 
                                         sock.getInputStream() ).readObject();
                   connect( cp.address, cp.port );
                   c.Connect( cp.address, cp.port+1 );
		   c.show();
                   repaint();
                 }catch( Exception ex )
                 {
                    ex.printStackTrace();
                 }
               }
	       else
               {
	           c.dispose();
		   c = null;
		   getClient.setText("Get Next Client");
                   disconnect();
               }
	    }
	 });
	getContentPane().add("North", getClient);
    }

    public static void main( String [] a )
    {
        new ServiceFrame().show();
    }
}
